#ifndef _CTRL_PROCESS_H
#define _CTRL_PROCESS_H


extern int get_spz_stable(float *delt);

extern int ctrl_data_retrans(void);

extern unsigned int io_get(unsigned int i);

/*extern void get_curr(unsigned int ch,float *fval);*/

extern int get_pres_vol(unsigned int ch,float *fval);

extern int get_temperature(unsigned int ch,float *fval);
extern int get_presure(unsigned int ch,float *fval);

//extern void CurrCnvToPres(float *raw_data,float *fval);

//extern void CurrCnvToPresEx(unsigned int ch,float *fval);

extern void VoltCnvToPres(float *fval);

extern int VoltCnvToPresEx(unsigned int ch,float *fval);

extern void relay_clr(unsigned int mask);

extern void set_pid_ch(unsigned int ch,unsigned int en_dis,unsigned int mode);

extern void set_pid_temp(unsigned int ch,float *temp,unsigned int mode);

extern void relay_set(unsigned int i,unsigned char val,unsigned int mode);
extern unsigned int relay_get(unsigned int i,unsigned char *val);
extern int ctrl_init(void);


#endif


